import type {INumberValueTagStyle} from "@/interface/app/ITagStyle.ts";

export class ConveyLocationTypeFormatter {
  locationType: INumberValueTagStyle[] = [
        {value: 0, label: '普通点', type: 'info'},
        {value: 1, label: '入库口', type: 'success'},
        {value: 2, label: '出库口', type: 'warning'},
        {value: 3, label: '捡选站台', type: 'primary'},
        {value: 4, label: '复核台', type: 'success'},
        {value: 5, label: '发货口', type: 'warning'},
  ];

  conveyLocationTypeFormatter(value: any): INumberValueTagStyle {
        const findResult = this.locationType.find(f => f.value == value);
        if (findResult) {
            return findResult;
        }
        return {value: value.toString(), label: '？' + value.toString(), type: 'danger'};
    }






}